Ubuntu

compiz crashed on initial load of Java Citrix Client/Inkscape in PrivateWindow::processMap()

Reported by Ralph Taylor on 2011-04-12
312
This bug affects 55 people
Affects Status Importance Assigned to Milestone
Unity
Critical
Sam Spilsbury
compiz (Ubuntu)
Critical
Unassigned
Natty
Critical
Unassigned
unity (Ubuntu)
Critical
Unassigned
Natty
Critical
Unassigned

Bug Description

Binary package hint: unity

Using Chromium & OpenJDK/Iced Tea plugin I logged into my employers Citrix gateway to launch a full screen desktop session. On attempting to load this session Compiz crashed and the desktop session did not load

Subsequent attempts to log into the Citrix desktop were successful.

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: unity 3.8.6-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
Architecture: i386
Date: Tue Apr 12 03:17:26 2011
ExecutablePath: /usr/bin/compiz
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330)
ProcCmdline: compiz
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: unity
StacktraceTop:
 PrivateWindow::processMap() ()
 CompScreen::handleEvent(_XEvent*) ()
 PrivateCompositeScreen::handleEvent(_XEvent*) () from /usr/lib/compiz/libcomposite.so
 CompScreen::handleEvent(_XEvent*) ()
 PrivateGLScreen::handleEvent(_XEvent*) () from /usr/lib/compiz/libopengl.so
Title: compiz crashed with SIGSEGV in PrivateWindow::processMap()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Ralph Taylor (djnrrd) wrote :

StacktraceTop:
 PrivateWindow::processMap (this=0xb1579d60) at /build/buildd/compiz-0.9.4+bzr20110411/src/window.cpp:4624
 CompScreen::handleEvent (this=0x8eaa4b8, event=0xbff13dbc) at /build/buildd/compiz-0.9.4+bzr20110411/src/event.cpp:1664
 PrivateCompositeScreen::handleEvent (this=0x8f00a00, event=0xbff13dbc) at /build/buildd/compiz-0.9.4+bzr20110411/plugins/composite/src/screen.cpp:102
 CompScreen::handleEvent (this=0x8eaa4b8, event=0xbff13dbc) at /build/buildd/compiz-0.9.4+bzr20110411/src/event.cpp:986
 PrivateGLScreen::handleEvent (this=0x8f01cd8, event=0xbff13dbc) at /build/buildd/compiz-0.9.4+bzr20110411/plugins/opengl/src/screen.cpp:604

Changed in unity (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
visibility: private → public
Changed in unity (Ubuntu):
importance: Medium → Critical

This happened to me but not with Citrix, but with Inkscape - I filed https://bugs.launchpad.net/ubuntu/+source/unity/+bug/759134 which Launchpad tells me is a bug of this.

Changed in unity (Ubuntu):
assignee: nobody → Chris Halse Rogers (raof)
Changed in unity (Ubuntu):
status: New → Fix Committed
assignee: Chris Halse Rogers (raof) → nobody
Didier Roche (didrocks) wrote :

@Rick: is it a typo you set it to Fix Committed? I asked yesterday Sam to have a look at it but I don't think it's already fixed.

Will confirm with him.

Didier Roche (didrocks) wrote :

Looked at trunk, it has been merged yesterday evening with other fixes, nice. Setting the right status

Changed in unity (Ubuntu):
status: Fix Committed → Invalid
Changed in unity:
status: New → Fix Committed
importance: Undecided → Critical
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
milestone: none → 3.8.8
Changed in unity (Ubuntu):
status: Invalid → Fix Committed
Changed in compiz (Ubuntu):
status: New → Fix Committed
importance: Undecided → Critical
tags: added: bugpattern-needed
Paul Sladen (sladen) on 2011-04-13
summary: - compiz crashed on initial load of Java Citrix Client
+ compiz crashed on initial load of Java Citrix Client/Inkscape
summary: - compiz crashed on initial load of Java Citrix Client/Inkscape
+ compiz crashed on initial load of Java Citrix Client/Inkscape in
+ PrivateWindow::processMap()
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.4+bzr20110411-0ubuntu2

---------------
compiz (1:0.9.4+bzr20110411-0ubuntu2) natty; urgency=low

  * 00_bzr_fix_crash_with_some_apps.patch
    - Fix inkscape/unison and other applications crashes (LP: #758307)
 -- Didier Roche <email address hidden> Thu, 14 Apr 2011 14:37:39 +0200

Changed in compiz (Ubuntu Natty):
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2011-04-14
Changed in unity:
status: Fix Committed → Fix Released
Pat Cutty (patcutty) wrote :

Just a note- the same crash occurred when using GNOME 2.32 "classic." When I tried it with Classic and effects disabled, Oregano did what it was supposed to do. In essence, it's not Unity-specific, it just crashes Compiz if that is active, no matter the instance.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.8.8-0ubuntu1

---------------
unity (3.8.8-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Empty desktop after login (LP: #687660)
    - compiz crashed with SIGSEGV in nux::Area::InitiateResizeLayout()
      (LP: #757709)
    - compiz crashed on initial load of Java Citrix Client/Inkscape in
      PrivateWindow::processMap() (LP: #758307)
    - Sometimes dragging down from the panel just stops working (LP: #750155)
    - Ensure Unity prioritises icon loading from Unity-icon-theme
      (LP: #750471)
    - text truncated in Dash. Empty search from Applications or Files lense
      returns “Your search did not” due to cut off label (LP: #757362)
    - should list PlacesGroup.cpp in POTFILES.in (LP: #757663)
    - Launcher intellhide stuck after edge reveal (LP: #757810)
    - unity-preferences doesn't load translations (LP: #759682)
    - dynamic quicklists are not working (LP: #729074)
    - with second monitor, first monitor does not show nautilus
      application/global menu when displaying desktop (LP: #743149)
    - Launcher - The Workspace, File Lens, App Lens and Trash Launcher icons
      need to be rendered correctly (LP: #745555)
    - the launcher background gets dimmed after icons dnd (LP: #747304)
    - Numpad 'Enter' does not work on unity launcher when navigating through
      keyboard (LP: #760003)
    - Launcher shouldn't hover when being in the dash (LP: #760770)
    - Launcher displays key shortcuts while holding Super while the dash is
      open but the shortcuts are unfunctional (LP: #760728)
    - Running/active indicators point to space between launcher icons for
      folded icons (LP: #703067)
    - user-trash.svg and user-trash-full.svg not lens grayscale versions
      (LP: #741804)
    - code-cleanup: unregistered any established ubus-interests (LP: #757588)
    - dropdown box in places search bar does not resize when font size changes
      (LP: #759763)
    - [FFE] Centered layout for expo plugin (LP: #754689)
    - Unity launcher icons tooltips do not disappear when swiching workspaces
      (LP: #744795)
    - Dash - Update Dash scroll bar (LP: #750374)
    - Letters cut off at the end in the applications window (LP: #753083)
  * debian/control:
    - build-dep on grail/geis with version bumped
  * 01_dont_dep_on_latest_geis_grail.patch:
    - not needed anymore
 -- Didier Roche <email address hidden> Thu, 14 Apr 2011 22:03:42 +0200

Changed in unity (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.